Bug 1252925 - [abrt] easytag: et_file_list_get_n_files_in_path(): easytag killed by SIGSEGV
[abrt] easytag: et_file_list_get_n_files_in_path(): easytag killed by SIGSEGV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: easytag (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c866a3a66a339f7dd1ca9c52a61...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 09:58 EDT by Mathieu Bridon
Modified: 2015-09-18 15:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 15:00:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.29 KB, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: core_backtrace (9.38 KB, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: dso_list (12.05 KB, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: environ (1.49 KB, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: maps (59.07 KB, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: mountinfo (3.27 KB, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: open_fds (1.54 KB, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details
File: var_log_messages (302 bytes, text/plain)
2015-08-12 09:58 EDT, Mathieu Bridon
no flags Details

  None (edit)
Description Mathieu Bridon 2015-08-12 09:58:37 EDT
Description of problem:
There were extra files in the album folder, in addition to the tracks for that album.

I tried deleting those files from inside Easytag, and the app crashed.

Version-Release number of selected component:
easytag-2.3.7-3.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        easytag
crash_function: et_file_list_get_n_files_in_path
executable:     /usr/bin/easytag
global_pid:     4672
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 et_file_list_get_n_files_in_path at src/file_list.c:1430
 #1 et_application_window_display_file_name at src/application_window.c:2145
 #2 et_application_window_display_et_file at src/application_window.c:2230
 #3 on_delete at src/application_window.c:522
 #8 g_simple_action_activate at gsimpleaction.c:225
 #9 Browser_List_Key_Press at src/browser.c:724
 #10 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #15 gtk_widget_event_internal at gtkwidget.c:7787
 #16 gtk_window_propagate_key_event at gtkwindow.c:7744
 #17 gtk_window_key_press_event at gtkwindow.c:7777
Comment 1 Mathieu Bridon 2015-08-12 09:58:40 EDT
Created attachment 1061987 [details]
File: backtrace
Comment 2 Mathieu Bridon 2015-08-12 09:58:41 EDT
Created attachment 1061988 [details]
File: cgroup
Comment 3 Mathieu Bridon 2015-08-12 09:58:42 EDT
Created attachment 1061989 [details]
File: core_backtrace
Comment 4 Mathieu Bridon 2015-08-12 09:58:44 EDT
Created attachment 1061990 [details]
File: dso_list
Comment 5 Mathieu Bridon 2015-08-12 09:58:45 EDT
Created attachment 1061991 [details]
File: environ
Comment 6 Mathieu Bridon 2015-08-12 09:58:46 EDT
Created attachment 1061992 [details]
File: limits
Comment 7 Mathieu Bridon 2015-08-12 09:58:48 EDT
Created attachment 1061993 [details]
File: maps
Comment 8 Mathieu Bridon 2015-08-12 09:58:49 EDT
Created attachment 1061994 [details]
File: mountinfo
Comment 9 Mathieu Bridon 2015-08-12 09:58:50 EDT
Created attachment 1061995 [details]
File: namespaces
Comment 10 Mathieu Bridon 2015-08-12 09:58:51 EDT
Created attachment 1061996 [details]
File: open_fds
Comment 11 Mathieu Bridon 2015-08-12 09:58:53 EDT
Created attachment 1061997 [details]
File: proc_pid_status
Comment 12 Mathieu Bridon 2015-08-12 09:58:54 EDT
Created attachment 1061998 [details]
File: var_log_messages
Comment 13 David King 2015-08-24 17:17:17 EDT
Thanks for the bug report! I just fixed this upstream:

https://git.gnome.org/browse/easytag/commit/?id=00b2d93082e779121c16bf7d634497027128d919

I will either make a new upstream release or apply the patch in the Fedora package in the next few days.
Comment 14 Fedora Update System 2015-08-29 07:08:39 EDT
easytag-2.4.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14540
Comment 15 Fedora Update System 2015-08-29 09:57:16 EDT
easytag-2.4.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14552
Comment 16 Fedora Update System 2015-09-01 05:58:51 EDT
easytag-2.4.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update easytag'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14552
Comment 17 Fedora Update System 2015-09-01 06:05:11 EDT
easytag-2.4.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update easytag'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14540
Comment 18 Fedora Update System 2015-09-09 19:20:02 EDT
easytag-2.4.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-09-18 15:00:27 EDT
easytag-2.4.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.